Package org.springframework.security.config.annotation.web.configurers

# Class HeadersConfigurer.CacheControlConfig

java.lang.Object
org.springframework.security.config.annotation.web.configurers.HeadersConfigurer.CacheControlConfig

Enclosing class:
  HeadersConfigurer<H extends HttpSecurityBuilder<H>>

public final class HeadersConfigurer.CacheControlConfig extends Object

## Method Summary

Modifier and Type
Method
Description
`HeadersConfigurer<H>`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`HeadersConfigurer<H>`
`disable()`
Disables Cache Control

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### disable

public HeadersConfigurer<H> disable()
Disables Cache Control

Returns:
  the `HeadersConfigurer` for additional configuration

### and

@Deprecated(since="6.1", forRemoval=true) public HeadersConfigurer<H> and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `HeadersConfigurer.cacheControl(Customizer)` or `cacheControl(Customizer.withDefaults())` to stick with defaults. See the documentation for more details.
Allows completing configuration of Cache Control and continuing configuration of headers.

Returns:
  the `HeadersConfigurer` for additional configuration